This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 203296 - bcm43xx card in Dell Inspiron won't tune.
bcm43xx card in Dell Inspiron won't tune.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-20 17:41 EDT by Steven Haigh
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 14:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Haigh 2006-08-20 17:41:20 EDT
I've got a bit of an issue getting the bcm43xx card in my Dell Inspiron laptop
going, and I'm not sure if its a bug or something I've done wrong... It used to
work fine using ndiswrapper, however I'm trying to give the kernel module a go.

The module loads ok, and I've extracted a couple of different firmware versions
with bcm43xx-fwcutter (3.100.46.0 & 3.94.41.1) and put the files in /lib/firmware.

Whenever I use NetworkManager to try to connect to an AP, I get the following in
/var/log/messages

10:24:03 NetworkManager: <information> User Switch:
/org/freedesktop/NetworkManager/Devices/eth1 / Node_AAC
10:24:03 NetworkManager: <information> Deactivating device eth1.
10:24:05 dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason
10:24:05 NetworkManager: <information> Device eth1 activation scheduled...
10:24:05 NetworkManager: <information> Deactivating device eth0.
10:24:05 dhclient: DHCPRELEASE on eth0 to 10.1.1.1 port 67
10:24:06 named[2040]: D-BUS: dhclient for interface eth0 released lease -
removing forwarders.
10:24:07 avahi-daemon[1961]: Withdrawing address record for 10.1.1.122 on eth0.
10:24:07 avahi-daemon[1961]: Leaving mDNS multicast group on interface eth0.IPv4
with address 10.1.1.122.
10:24:07 avahi-daemon[1961]: IP_DROP_MEMBERSHIP failed: No such device
10:24:07 avahi-daemon[1961]: iface.c: interface_mdns_mcast_join() called but no
local address available.
10:24:07 avahi-daemon[1961]: Interface eth0.IPv4 no longer relevant for mDNS.
10:24:07 avahi-daemon[1961]: Withdrawing address record for
fe80::20f:1fff:fe0e:cf70 on eth0.
10:24:07 avahi-daemon[1961]: Leaving mDNS multicast group on interface eth0.IPv6
with address fe80::20f:1fff:fe0e:cf70.
10:24:07 avahi-daemon[1961]: iface.c: interface_mdns_mcast_join() called but no
local address available.
10:24:07 avahi-daemon[1961]: Interface eth0.IPv6 no longer relevant for mDNS.
10:24:07 NetworkManager: <information> Activation (eth1) started...
10:24:07 NetworkManager: <information> Activation (eth1) Stage 1 of 5 (Device
Prepare) scheduled...
10:24:07 NetworkManager: <information> Activation (eth1) Stage 1 of 5 (Device
Prepare) started...
10:24:07 NetworkManager: <information> Activation (eth1) Stage 2 of 5 (Device
Configure) scheduled...
10:24:07 NetworkManager: <information> Activation (eth1) Stage 1 of 5 (Device
Prepare) complete.
10:24:07 NetworkManager: <information> Activation (eth1) Stage 2 of 5 (Device
Configure) starting...
10:24:07 NetworkManager: <information> Activation (eth1/wireless): access point
'Node_AAC' is unencrypted, no key needed.
10:24:09 NetworkManager: <information> SUP: sending command 'INTERFACE_ADD eth1
               wext    /var/run/wpa_supplicant '
10:24:09 NetworkManager: <information> SUP: response was 'OK'
10:24:09 NetworkManager: <information> SUP: sending command 'AP_SCAN 1'
10:24:09 NetworkManager: <information> SUP: response was 'OK'
10:24:09 NetworkManager: <information> SUP: sending command 'ADD_NETWORK'
10:24:09 NetworkManager: <information> SUP: response was '0'
10:24:09 NetworkManager: <information> SUP: sending command 'SET_NETWORK 0 ssid
4e6f64655f414143'
10:24:09 NetworkManager: <information> SUP: response was 'OK'
10:24:09 NetworkManager: <information> SUP: sending command 'SET_NETWORK 0
key_mgmt NONE'
10:24:09 NetworkManager: <information> SUP: response was 'OK'
10:24:09 NetworkManager: <information> SUP: sending command 'ENABLE_NETWORK 0'
10:24:09 NetworkManager: <information> SUP: response was 'OK'
10:24:09 NetworkManager: <information> Activation (eth1) Stage 2 of 5 (Device
Configure) complete.
10:24:11 NetworkManager: <information> Old device 'eth1' activating, won't change.
10:24:42 last message repeated 13 times
10:24:49 last message repeated 3 times
10:24:49 NetworkManager: <information> Activation (eth1/wireless): association
took too long (>40s), failing activation.
10:24:49 NetworkManager: <information> Activation (eth1) failure scheduled...
10:24:49 NetworkManager: <information> Activation (eth1) failed for access point
(Node_AAC)
10:24:49 NetworkManager: <information> Activation (eth1) failed.
10:24:49 NetworkManager: <information> Deactivating device eth1.

Now the command 'SET_NETWORK 0 ssid 4e6f64655f414143' interests me, as I would
have thought that would have been the SSID of the AP - in this case "Node_AAC".
This being said however, I can seem to scan for APs using iwlist and get:

# iwlist eth1 scanning
eth1      Scan completed :
          Cell 01 - Address: 00:12:17:E3:DF:60
                    ESSID:"Node_AAC"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:1
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Quality=100/100  Signal level=-156 dBm
                    Extra: Last beacon: 376ms ago

If I try to configure the card manually using:
  # iwconfig eth1 mode managed essid Node_AAC channel 1 enc off ap auto

then I get this in /var/log/messages:
Aug 18 10:39:29 localhost kernel: SoftMAC: Associate: Scanning for networks first.
Aug 18 10:39:29 localhost kernel: SoftMAC: Start scanning with channel: 1
Aug 18 10:39:29 localhost kernel: SoftMAC: Scanning 14 channels
Aug 18 10:39:29 localhost kernel: bcm43xx: set security called, .level = 0,
.enabled = 0, .encrypt = 0
Aug 18 10:39:30 localhost kernel: SoftMAC: Scanning finished
Aug 18 10:39:30 localhost kernel: SoftMAC: Associate: Scanning for networks first.
Aug 18 10:39:30 localhost kernel: SoftMAC: Start scanning with channel: 1
Aug 18 10:39:30 localhost kernel: SoftMAC: Scanning 14 channels
Aug 18 10:39:30 localhost kernel: SoftMAC: Scanning finished
Aug 18 10:39:30 localhost kernel: SoftMAC: Associate: Scanning for networks first.
Aug 18 10:39:30 localhost kernel: SoftMAC: Start scanning with channel: 1
Aug 18 10:39:30 localhost kernel: SoftMAC: Scanning 14 channels
Aug 18 10:39:31 localhost kernel: SoftMAC: Scanning finished
Aug 18 10:39:31 localhost kernel: SoftMAC: Unable to find matching network after
scan!
Comment 1 Matěj Cepl 2007-06-04 17:41:20 EDT
This is quite certainly kernel bug, not wireless-tools one. Reassigning to the
kernel component, and suggesting whether this isn't duplicate of bug 198071.

Reporter, could you attach to the comment output of the command lspci?

Thanks.
Comment 2 John W. Linville 2007-06-04 21:09:16 EDT
We should start by asking if this 10-month old bug is still an issue w/ F-7 
(or even FC6)?
Comment 4 John W. Linville 2007-08-07 14:47:51 EDT
Closed due to lack of response...please reopen if this problem persists with 
current Fedora kernels.

Note You need to log in before you can comment on or make changes to this bug.